# locrMAPS WordPress Plugin

## Installation für Entwicklungsumgebung

### Git Repository herunterladen

```bash
cd </path/to/local/repositories>
git clone git@bitbucket.org:locr/locrmaps-wp-plugin.git
cd locrmaps-wp-plugin
composer install
npm install
```

### Plugin-Verzeichnis verlinken

```bash
cd </path/to/wordpress/installation>/wp-content/plugins
ln -s </path/to/local/repositories>/locrmaps-wp-plugin locrmaps
```

### Empfohlene VSCode Erweiterungen

[PHP Sniffer & Beautifier](https://marketplace.visualstudio.com/items?itemName=ValeryanM.vscode-phpsab)  
[phpstan](https://marketplace.visualstudio.com/items?itemName=SanderRonde.phpstan-vscode)

## Übersetzungen hinzufügen/aktualisieren

```bash
npm run make-pot
```

1. Die erstellte Datei `src/languages/locrmaps-textdomain.pot` in Poedit öffnen
1. "Neue Übersetzung erstellen" anklicken.
1. Übersetzungssprache (Deutsch) auswählen.
1. Übersetzungen hinzufügen.
1. Speichern in Datei `src/languages/locrmaps-textdomain-de_DE.po`.

```bash
npm run make-json
```

1. Erstellte .json Datei(en) `src/languages/locrmaps-textdomain-de_DE-<hash>.json` bei denen das `source`-Feld auf ein `build`-Verzeichnis zeigt, z.B.: `"source": "build\/index.js"`, umbenennen in `src/languages/locrmaps-textdomain-de_DE-locr-company-locrmaps-wp-plugin-view-script.json`.

## Neue Version des Plugins erstellen

Die Versionsnummer in der Datei `locrmaps.php` anpassen!

Der folgende Befehl führt foglende Schritte aus:

- erstellt die Übersetzungen aus dem Verzeichnis `src/languages`
- erstellt eine `locrmaps-wp-plugin-v<version>.zip` Datei, die innerhalb von WordPress unter Plugins hochgeladen werden kann

```bash
make
```

## Shortcodes

### locrmaps

Die einfachste Form der Einbindung einer Karte ist:

```shortcode
[locrmaps]
```

Zu diesem Shortcode gibt es diverse Attribute:

| Parameter                      | Werte               | Standardwert | Beschreibung |
|--------------------------------|---------------------|--------------|--------------|
| access-key                     | &lt;uuid&gt;        |              | Ein Zugangsschlüssel, damit überhaupt Karten angezeigt werden können |
| style                          | &lt;string&gt;      | `4203`       | locr Stylename                                                       |
| enable-integrated-search       | `true` oder `false` | `false`      | aktiviert die integrierte Suche                                      |
| set-icon-on-initial-position   | `true` oder `false` | `false`      | aktiviert das setzen eines Icons bei der Initialisierung             |
| icon-name                      | &lt;string&gt;      | `pin2`       | locr Iconname                                                        |
| update-icon-position-on-search | `true` oder `false` | `false`      | wenn aktiviert, dann wird die Icon Position aktualisiert, wenn aus der Suche heraus ein Ergebnis angeklickt wird |

Diese Attribute können auch über die Einstellungen in der Administrationsoberfläche eingestellt werden!

### locrmaps_search

Um eine Suche für die Karte in einem separaten Bereich einzubinden:

```shortcode
[locrmaps_search]
```

Zu diesem Shortcode gibt es ein Attribut:

| Parameter                      | Werte               | Standardwert | Beschreibung |
|--------------------------------|---------------------|--------------|--------------|
| update-icon-position-on-search | `true` oder `false` | `false`      | wenn aktiviert, dann wird die Icon Position aktualisiert, wenn aus der Suche heraus ein Ergebnis angeklickt wird |

Dieses Attribut kann auch über die Einstellungen in der Administrationsoberfläche eingestellt werden!
