/* global HTMLFormElement */

document.addEventListener( 'DOMContentLoaded', function () {
	let mediaUploader;

	const uploadIconButton = document.getElementById( 'upload_icon_button' );
	if ( uploadIconButton ) {
		uploadIconButton.addEventListener( 'click', function ( e ) {
			e.preventDefault();

			// Falls der Medien-Uploader bereits existiert, ihn erneut öffnen
			if ( mediaUploader ) {
				mediaUploader.open();
				return;
			}

			// Neuen Medien-Uploader erstellen
			mediaUploader = wp.media( {
				title: 'Bild auswählen',
				button: {
					text: 'Bild verwenden',
				},
				multiple: false,
			} );

			// Wenn ein Bild ausgewählt wurde, die URL in das versteckte Feld schreiben
			mediaUploader.on( 'select', function () {
				const attachment = mediaUploader
					.state()
					.get( 'selection' )
					.first()
					.toJSON();
				const iconUrlElement = document.getElementById( 'icon_url' );
				if ( iconUrlElement ) {
					iconUrlElement.value = attachment.url;
				}

				const iconsForm = document.getElementById(
					'locrmaps-icons-form'
				);
				if ( iconsForm instanceof HTMLFormElement ) {
					const submitButton = iconsForm.querySelector( '#submit' );
					if ( iconsForm.requestSubmit ) {
						if ( submitButton ) {
							iconsForm.requestSubmit( submitButton );
						} else {
							iconsForm.requestSubmit();
						}
					} else {
						iconsForm.submit();
					}
				}
			} );

			// Medien-Uploader öffnen
			mediaUploader.open();
		} );
	}
} );
